> ## Documentation Index
> Fetch the complete documentation index at: https://docs.primev.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# GetDeposit

> GetDeposit is called by the bidder to get its deposit specific to a provider in the bidder registry.



## OpenAPI

````yaml /v1.2.x/api-reference/bidder-openapi-spec.json get /v1/bidder/get_deposit
openapi: 3.0.0
info:
  title: Bidder API
  version: 1.2.0-oas3
  license:
    name: Business Source License 1.1
    url: https://github.com/primev/mev-commit/blob/main/LICENSE
servers: []
security: []
paths:
  /v1/bidder/get_deposit:
    get:
      summary: GetDeposit
      description: >-
        GetDeposit is called by the bidder to get its deposit specific to a
        provider in the bidder registry.
      operationId: Bidder_GetDeposit
      parameters:
        - name: provider
          description: Provider Ethereum address.
          in: query
          required: false
          schema:
            type: string
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1DepositResponse'
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/googlerpcStatus'
components:
  schemas:
    v1DepositResponse:
      type: object
      example:
        amount: '1000000000000000000'
        provider: '0x0000000000000000000000000000000000000000'
      properties:
        amount:
          type: string
        provider:
          type: string
      description: Deposit for bidder in the bidder registry for a particular provider.
      title: Deposit response
    googlerpcStatus:
      type: object
      properties:
        code:
          type: integer
          format: int32
        message:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/protobufAny'
    protobufAny:
      type: object
      properties:
        '@type':
          type: string
      additionalProperties: {}

````